### Method

# Vips Image math2_const1

#### Declaration [src]

    int
    vips_math2_const1 (
      VipsImage* in,
      VipsImage** out,
      VipsOperationMath2 math2,
      double c,
      ...
    )

#### Description [src]

This operation calculates various 2-ary maths operations on an image and a constant. See `vips_math2_const()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`math2`

  Type: `VipsOperationMath2`

  Math operation to perform.

`c`

  Type: `double`

  Constant.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.